Page MenuHomePhabricator

[compiler-rt] Implement getrandom interception
ClosedPublic

Authored by akrieger on Jul 31 2019, 6:11 PM.

Details

Summary

Straightforward implementation of getrandom syscall and libc
hooks.

Test Plan: Local MSAN failures caused by uninstrumented getrandom
calls stop failing.

Patch by Andrew Krieger.

Diff Detail

Repository
rL LLVM

Event Timeline

akrieger created this revision.Jul 31 2019, 6:11 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 31 2019, 6:11 PM
Herald added subscribers: llvm-commits, Restricted Project, dberris, kubamracek. · View Herald Transcript
akrieger removed a reviewer: sugak.

Can you please add some trivial test under compiler-rt/test/sanitizer_common ? You can't check sanitization there, just check that does not crash and return reasonable results

akrieger updated this revision to Diff 213436.Aug 5 2019, 12:43 PM

Rebase, add unit test

vitalybuka accepted this revision.Aug 5 2019, 1:43 PM
This revision is now accepted and ready to land.Aug 5 2019, 1:43 PM
akrieger updated this revision to Diff 213479.Aug 5 2019, 3:30 PM

Rename test file after rebase, fix test to not be trivially wrong.

@vitalybuka thanks for the quick review and accept. I need someone to commit this for me - can you do that or should I find someone else to push this for me?

vitalybuka edited the summary of this revision. (Show Details)Aug 6 2019, 1:29 AM
This revision was automatically updated to reflect the committed changes.